package com.lovecoding.day11;

public class TestReturn {
    public static void main(String[] args) {
        int result = test("a");
        System.out.println(result);
    }

    public static int test(String str){
        int a = 1;
        try{
            Integer.parseInt(str);
            return 1;
        }catch(NumberFormatException e){
            return a;
        }finally{
            a = 12;
            System.out.println("test结束");
        }
    }
}
